> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://es.megaport.ferndocs.com/es/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://es.megaport.ferndocs.com/es/_mcp/server.

# Cambio de Precio de Velocidad (v2)

GET https://api.megaport.com/v2/product/{productUid}/rating/{year}/{month}

Devuelve el precio para cambiar la velocidad de un servicio existente que permite cambios de velocidad: VXC e IX.

El `productUid` es el ID de producto único y es obligatorio.

El `year` es un número entero que representa el año de uso (año actual) y es obligatorio.

El `month` es un número entero que indica el mes de uso (ene = 1) y es obligatorio.

El `rateLimit` es un número entero que indica la nueva velocidad en Mbps y es opcional.

En la respuesta, el `total` es lo que puede esperar en la próxima factura (prorrateado para un mes parcial). El `longTermMonthly` es el importe de la factura mensual regular, suponiendo que no haya cambios de velocidad. El `delta` es la diferencia entre el importe de la factura esperada anterior y el nuevo importe esperado basado en el cambio de velocidad.

Reference: https://es.megaport.ferndocs.com/es/api-reference/pricing/speed-change-price-v-2

## Servers

- `https://api.megaport.com` (Entorno de producción, default)
- `https://api-staging.megaport.com` (Entorno de pruebas (solo pruebas, se restablece cada 24 horas))

## Request

### Path parameters

- `productUid` (string, required)
- `year` (string, required)
- `month` (string, required)

### Query parameters

- `newSpeed` (string, optional)

## Response

### 200

Cambio de Velocidad Precio / Cambio de Velocidad Precio

- `data` (V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaData, optional)
- `message` (string, optional)
- `terms` (string, optional)

## Types

### V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaData

- `boxes` (list of V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItems, optional)
- `changes` (list of V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataChangesItems, optional)
- `currency` (string, optional)
- `delta` (double, optional)
- `forceProductChange` (any, optional, nullable)
- `longTermMonthly` (double, optional)
- `mbpsRate` (double, optional)
- `oldPrice` (double, optional)
- `startOfMonth` (double, optional)
- `total` (double, optional)

### V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItems

- `baseRate` (double, optional)
- `bl` (V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsBl, optional)
- `br` (V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsBr, optional)
- `correction` (any, optional, nullable)
- `price` (double, optional)
- `proportionNotBilled` (any, optional, nullable)
- `tl` (V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsTl, optional)
- `tr` (V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsTr, optional)

### V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataChangesItems

- `date` (double, optional)
- `description` (string, optional)

### V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsBl

- `x` (double, optional)
- `y` (double, optional)

### V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsBr

- `x` (double, optional)
- `y` (double, optional)

### V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsTl

- `x` (double, optional)
- `y` (double, optional)

### V2ProductProductUidRatingYearMonthGetResponsesContentApplicationJsonSchemaDataBoxesItemsTr

- `x` (double, optional)
- `y` (double, optional)

## Examples

**Response**

```json
{
  "data": {
    "boxes": [
      {
        "baseRate": 100,
        "bl": {
          "x": 1604152800000,
          "y": 0
        },
        "br": {
          "x": 1605563175602,
          "y": 0
        },
        "correction": null,
        "price": 291.4962801752646,
        "proportionNotBilled": null,
        "tl": {
          "x": 1604152800000,
          "y": 10000
        },
        "tr": {
          "x": 1605563175602,
          "y": 10000
        }
      },
      {
        "baseRate": 100,
        "bl": {
          "x": 1605563175602,
          "y": 0
        },
        "br": {
          "x": 1606572000000,
          "y": 0
        },
        "correction": null,
        "price": 54.21096715443122,
        "proportionNotBilled": null,
        "tl": {
          "x": 1605563175602,
          "y": 1000
        },
        "tr": {
          "x": 1606572000000,
          "y": 1000
        }
      }
    ],
    "changes": [
      {
        "date": 1604152800000,
        "description": "Entrada rápida de inicio de mes de 10000"
      }
    ],
    "currency": "AUD",
    "delta": 145.71,
    "forceProductChange": null,
    "longTermMonthly": 130,
    "mbpsRate": 100,
    "oldPrice": 200,
    "startOfMonth": 1604152800000,
    "total": 345.70724732969575
  },
  "message": "Precios del Producto [632d83aa-37d3-4cf2-893b-fbe314133c80]",
  "terms": "This data is subject to the Acceptable Use Policy https://www.megaport.com/legal/acceptable-use-policy"
}
```

**SDK Code**

```python
import requests

url = "https://api.megaport.com/v2/product/productUid/rating/year/month"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.megaport.com/v2/product/productUid/rating/year/month';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.megaport.com/v2/product/productUid/rating/year/month"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.megaport.com/v2/product/productUid/rating/year/month")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.megaport.com/v2/product/productUid/rating/year/month")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.megaport.com/v2/product/productUid/rating/year/month');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.megaport.com/v2/product/productUid/rating/year/month");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.megaport.com/v2/product/productUid/rating/year/month")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```